<?php
    require_once('init.php');
    $configracoes_pix = $empresa->obterConfigracoesPix(Core::getIntegracaoPix());

    /** URL de autenticação para API PIX do SICOOB */
    define("URL_AUTENTICACAO", $configracoes_pix->url_autenticacao);

    /** URL de produção API PIX do SICOOB */
    define("URL_PIX", $configracoes_pix->url_pix);

    /** Aqui deve ser informado o valor da chave CLIENT_ID que precisa ser criada no portal 
     * (https://developers.sicoob.com.br/portal/) conforme documentação do SICOOB 
     */
    define("SICOOBPIX_CLIENT_ID", $configracoes_pix->client_id);

    /** Caminho do certificado público (A1) - Emitido no CPF ou CNPJ do Cooperado */
    define("SICOOBPIX_CAMINHO_CERT_PUBLICO", $configracoes_pix->caminho_cert_publico);

    /** Caminho do certificado privado (A1) - Emitido no CPF ou CNPJ do Cooperado */
    define("SICOOBPIX_CAMINHO_CERT_PRIVADO", $configracoes_pix->caminho_cert_privado);

    /** Senha do certificado (Caso os arquivos publico e privado tenham senhas diferentes é necessário criar uma constante para cada um) */
    define("SICOOBPIX_SENHA_CERT", $configracoes_pix->senha_cert);

    // Definindo chave pix recebedor
    define("SICOOBPIX_CHAVE", $configracoes_pix->chave_pix);

    // Definindo titular da conta
    define("SICOOBPIX_TITULAR", $configracoes_pix->titular);

    // Definindo cidade do Titular da conta
    define("SICOOBPIX_CID_TITULAR", $configracoes_pix->cid_titular);

?>